# Uses of Interface
org.apache.lucene.monitor.QueryTimeListener

- ## Uses of QueryTimeListener in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor with parameters of type QueryTimeListener
  Modifier and Type
  Method
  Description
  `static <T extends QueryMatch>
  MatcherFactory<T>`
  QueryTimeListener.`timingMatcher(MatcherFactory<T> factory, QueryTimeListener listener)`
  A wrapping matcher factory to log query times to a QueryTimeListener